Bug 188709 - 64 bit build fails (linalgGB.cpp)
64 bit build fails (linalgGB.cpp)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Macaulay2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 10:21 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-13 13:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-04-12 10:21:29 EDT
linalgGB.cpp: In member function 'void LinAlgGB<CoeffRing>::process_column(int)
[with CoeffRing = CoefficientRingZZp]':
lingb.cpp:6:   instantiated from here
linalgGB.cpp:194: error: cast from 'void*' to 'int' loses precision
Comment 1 Rex Dieter 2006-04-12 11:05:53 EDT
More detail:

Job failed on arch x86_64


         Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-development-extras/7571-Macaulay2-0.9.8-0.2.cvs20060327.fc6/


-------------------------------------------------

MonomialTable.cpp:446: warning: unused variable 'v'
g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -pipe -Wall -Wshadow -Wcast-qual
-Wno-parentheses -Wno-sign-compare   -DNDEBUG  -I../../../include -I../../util
-I..  -c -o interface.o interface.cpp -Wno-old-style-cast
interface.cpp:94:2: warning: #warning "only handles polynomials in one
component, assumes polynomials are in order"
g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -pipe -Wall -Wshadow -Wcast-qual
-Wno-parentheses -Wno-sign-compare   -DNDEBUG  -I../../../include -I../../util
-I..  -c -o lingb.o lingb.cpp -Wno-old-style-cast
In file included from lingb.cpp:3:
SPairSet.cpp:20:2: warning: #warning "write deallocator"
SPairSet.cpp:63:2: warning: #warning "unneeded pairs"
In file included from lingb.cpp:4:
linalgGB.cpp:719:2: warning: #warning "compute the codimension"
linalgGB.cpp:788:2: warning: #warning "anything to delete?"
linalgGB.cpp: In member function 'void LinAlgGB<CoeffRing>::process_column(int)
[with CoeffRing = CoefficientRingZZp]':
lingb.cpp:6:   instantiated from here
linalgGB.cpp:194: error: cast from 'void*' to 'int' loses precision
linalgGB.cpp: In member function 'void LinAlgGB<CoeffRing>::make_matrix() [with
CoeffRing = CoefficientRingZZp]':
lingb.cpp:6:   instantiated from here
linalgGB.cpp:275: warning: format '%d' expects type 'int', but argument 3 has
type 'size_t'
linalgGB.cpp:275: warning: format '%d' expects type 'int', but argument 4 has
type 'size_t'
make[3]: *** [lingb.o] Error 1
make[3]: Leaving directory `/builddir/build/BUILD/M2/Macaulay2/e/linalgGB'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/builddir/build/BUILD/M2/Macaulay2/e'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/M2/Macaulay2'
make: *** [all] Error 2
make: Leaving directory `/builddir/build/BUILD/M2'
error: Bad exit status from /var/tmp/rpm-tmp.83804 (%build)
Comment 2 Rex Dieter 2006-05-13 13:07:10 EDT
Fixed with recent patch

Note You need to log in before you can comment on or make changes to this bug.